Skip to content

Stored only in your browser. Get one under Tokens.

Update a device certificate​

PATCH
/devices/certs/{id}

Update the revoked status of a device certificate. "devices" in the answer is how many devices the change was applied to; devices that validated before certificates were linked to their devices are not among them.

Authorizations​

ApiKeyAuth
Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

Certificate ID

Type
string
Required

Request Body​

application/json
JSON
{
  
"revoked": true
}

Responses​

OK

application/json
JSON
{
  
"created_at": "string",
  
"devices": 0,
  
"fingerprint": "string",
  
"id": "string",
  
"owner": "string",
  
"revoked": true,
  
"serial_number": "string",
  
"subject": "string",
  
"token_id": "string",
  
"updated_at": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI